<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: Moxit</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="PageDoc"><div class="header">
  <div class="headertitle">
<div class="title">Moxit </div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><p>Moxit je implementacija društvene igre Dixit u C++. Narator se smenjuje među igračima po rundama u krug. Narator bira kartu i vezuje asocijaciju u vidu reči ili rečenice za odabranu kartu. Bez otkrivanja svoje karte, ali sa otkrivanjem svoje asocijacije, igrači svaki za sebe bira kartu koja ga najviše asocira na datu asocijaciju. Potom sledi kolektivno glasanje gde igrači koji nisu narator pogađaju naratorovu kartu. Poeni se dodeljuju u skladu sa time da li je karta pravilno pogođena - i ako nije - čija karta je pogrešno pogođena. Igračima je cilj da što pre stignu do skupljenih 30 bodova. Prvi koji stigne do kraja je pobednik.</p>
<h2><a class="anchor" id="autotoc_md1"></a>
Potrebne biblioteke</h2>
<p>Za uspešno bildovanje projekta neophodne su sledeće biblioteke:</p>
<ul>
<li>Qt5</li>
<li>Qt5Multimedia</li>
<li>libcurl</li>
</ul>
<p>Za testiranje <a class="el" href="classNetworkService.html">NetworkService</a> klase neophodna je i sledeca biblioteka, kao i linkovanje curl biblioteke sa -lcurl:</p>
<ul>
<li>nlohmann/json</li>
</ul>
<p>Za linux ubuntu operativni sistem 20.04 dovoljno je pokrenuti komandu:</p>
<p><code>sudo apt-get install qtbase5-dev qtchooser qt5-qmake qtbase5-dev-tools qtmultimedia5-dev libcurl4-gnutls-dev</code></p>
<p>U slučaju da se prilikom pokretanja pojavljuje greška <code>defaultServiceProvider::requestService(): no service found for - "org.qt-project.qt.mediaplayer"</code> i muzika se ne čuje, neophodno je obezbediti Qt5Multiemedia plugine. Na Ubuntu sistemima dovoljno je sledeće:</p>
<p><code>sudo apt-get install libqt5multimedia5-plugins</code></p>
<p>Za testiranje <a class="el" href="classNetworkService.html">NetworkService</a> klase:</p>
<p><code>sudo apt-get install nlohmann-json3-dev</code></p>
<p>Frontend i backend su aplikacije za sebe i svaka zahteva buildovanje zasebno. Buildovanje se vrši korišćenjem CMakeLists.txt fajlova u frontend/src i backend/src. Za rad aplikacija na lokalnom računaru neophodno je držati backend server deo pokrenut. U slučaju dizanja servera na udaljeni računar neophodno je uskladiti API_ENDPOINT promenljivu u frontend/src/lib/Main <a class="el" href="config_8cpp.html">Window/config.cpp</a>.</p>
<p>Minimalan broj igrača potreban za testiranje je 2, i to svako na svojoj instanci aplikacije. Međutim, potreban broj igrača za pravilno igranje igre je 3-8.</p>
<h2><a class="anchor" id="autotoc_md2"></a>
Slike</h2>
<p><img src="slike/1.jpg" alt="" class="inline"/> <img src="slike/4.jpg" alt="" class="inline"/> <img src="slike/5.jpg" alt="" class="inline"/> <img src="slike/2.jpg" alt="" class="inline"/> <img src="slike/3.jpg" alt="" class="inline"/> </p>
</div></div><!-- contents -->
</div><!-- PageDoc -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
